<?php
/* --------------------------------------------------------------
   update.cli.php 2016-09-02
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2016 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

include_once('includes/cli_application.inc.php');

/**
 * @var array $parameters
 */
$parameters = CLIHelper::getParameters($argv);
/**
 * @var GambioUpdateControl $updateControl
 */
$updateControl = CLIHelper::getGambioUpdateControl();

/**
 * @var string $singleChmodFilePath
 */
$singleChmodFilePath = DIR_FS_CATALOG . 'version_info/lists/chmod.txt';

/**
 * @var string $recursiveChmodFilePath
 */
$recursiveChmodFilePath = DIR_FS_CATALOG . 'version_info/lists/chmod_all.txt';

CLIHelper::proceedOptions(CLIHelper::getOptions());
CLIHelper::authenticateAdmin($parameters['security_token']);
CLIHelper::processUpdates($updateControl);
CLIHelper::moveFiles($updateControl);
CLIHelper::deleteFiles($updateControl);
CLIHelper::changeFilePermissions($singleChmodFilePath, $recursiveChmodFilePath);
CLIHelper::clearCache($updateControl);
CLIHelper::setInstalledVersion($updateControl);

CLIHelper::doLog('Update process completed.');